# path::get-file-name-without-extension

Returns the filename without extension for the specified path string.

### Usage

`string path::get-file-name-without-extension(path)`

### Parameters

Name | Type | Description
--- | --- | ---
path | string | The path of the file.

### Return Value

A String containing the String returned by path::get-file-name(), minus the last period (.) and all characters following it.

### Exceptions

The function will fail in any of the following circumstances:

- path contains one or more invalid characters.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)